/* xlock.h
**
** Interface file for `xlock.c'
** (file locking function which mimics (at most) the system V's `lockf' function
**  but allows shared locks to be set, too.)
**
*/
#ifndef _XLOCK_H
#define _XLOCK_H

#include <sys/types.h>

#define XL_TEST 0
#define XL_UNLK 1
#define XL_LKSH 2
#define XL_LKEX 3
#define XL_LKNB 4

#define FORCE_FCNTL 1

int xLock (int fd, int cmd, off_t len);

#endif /* defined(_XLOCK_H) */
